Subject: bug#58928: 29.0.50; overlays in org-mode are disrupted after call `org-capture`

From: Gerd Möllmann <[email-masked]>
Date: Thu, 3 Nov 2022 16:18:42 +0100

On 03.11.22 15:57, Eason Huang wrote:
> I can reproduce the following steps, may be you can have try:
> 
> 1. emacs -Q , launch Emacs
> 2. M-x org-capture, and then type `t` (task)
>     Now the buffer CAPTURE-.notes will open with contents as bellow:
> 
>     ** TODO (now the cursor is here, you can type some characters, such 
> as "test1", and then type C-C C-c )
>    [2022-11-03 Thu]
> 
> 3. C-x b, switch-to-buffer .notes
>    The contents is as below:
> * Tasks
> ** TODO test1(move cusror here and type TAB)
>    [2022-11-03 Thu]
> 
> 4. Now the .notes buffer is like this:
> * Tasks
> ** TODO test1...
> 5. Try step 2 again, now you will see the issue. Now the .notes buffer 
> looks like this:
> * Tasks
> ** TODO test1...TODO
>    [2022-11-03 Thu]
>    test1

I do indeed see something like that, except that it is
"** TODO test1...** TODO", i.e. the second TODO has the stars in front
of it.

Typing in the CAPTURE buffer shows the typed text in .notes after the
second TODO, and the ellipsis doesn't move.

I guess the second TODO should be/was on a new line?